List all Payment Method Domain

​

Lists the details of existing payment method domains

Query Parameters

  • Integer numbers.

  • Opaque cursor for pagination. Use the last_key value from the previous response to retrieve the next page.

  • Filter payment method domains by exact domain name.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/payment_method_domains
curl 'https://api.paypercut.io/v1/payment_method_domains?last_key=eyJsYXN0SWQiOiIyMTIxMDAyMWMyODU1MDA3ZWZhMmQ2NTcwMTgiLCJsYXN0Q3JlYXRlZEF0IjoiMjAyNC0wMS0xNVQxMDozMDowMFoifQ%3D%3D' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "items": [
    {
      "id": "string",
      "created": "2026-11-05T09:18:50.965Z",
      "domain_name": "string",
      "enabled": true,
      "livemode": true
    }
  ],
  "last_key": "string"
}